#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#               EPI Pomdapi, INRIA Paris - Rocquencourt               #
#                                                                     #
#  Copyright 2005-2013 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: intrinsic_defaults.profile,v 1.9 2013-05-15 14:39:21 fclement Exp $

#
# Pph system intrinsic defaults.
# Used by the user and devel configuration and unconfiguration profiles.
#

# We cannot fail on unset or empty variables since this profile is shared by
# the Phm command for which all those variables are actually unset...

# Pph pervasive tools.
PPH_CORE_PERVASIVE_TOOLS="htmlc"
PPH_DEVEL_PERVASIVE_TOOLS="bh ppa"
PPH_USER_PERVASIVE_TOOLS=""

# Pph pervasive filenames.
PROJECT_PATH_FILE=".Project_path"
USER_PREAMBLE_FILE=".User_preamble.pph"
DEVEL_PREAMBLE_FILE=".Devel_preamble.pph"

# Log file_names.
DEVEL_CONFIGURE_PROFILE_LOG="\
$PROJECT_SUMMARIES_DIR/configure_devel_profile.summary"
DEVEL_MAKE_PROJECT_ENV_LOG="\
$PROJECT_SUMMARIES_DIR/make_project_id.summary"
DEVEL_MAKE_EXAMPLE_HIERARCHY_LOG="\
$PROJECT_SUMMARIES_DIR/make_example_hierarchy.summary"
DEVEL_MAKE_CONFIGURE_LOG="\
$PROJECT_SUMMARIES_DIR/make_configure_devel.summary"
USER_CONFIGURE_LOG="\
$PROJECT_SUMMARIES_DIR/configure.summary"
USER_CONFIGURE_PROFILE_LOG="\
$PROJECT_SUMMARIES_DIR/configure_profile.summary"
USER_MAKE_CONFIGURE_LOG="\
$PROJECT_SUMMARIES_DIR/make_configure.summary"

# Checkpoint files.
DEVEL_CONFIGURE_CHECKPOINT="$PROJECT_CHECKPOINTS_DIR/configure_devel.done"
USER_CONFIGURE_CHECKPOINT="$PROJECT_CHECKPOINTS_DIR/configure.done"

# Other files.
DEVEL_PHM_CMD_LINE_ARGS="\
$PROJECT_CONFIG_DIR/project_creation_phm_command_line_args.txt"
DEVEL_CONFIGURE_SETTINGS_BNAME="Configure_devel_Settings"
DEVEL_CONFIGURE_SETTINGS_NO_EXT="\
$PROJECT_RUNTIME_DIR/$DEVEL_CONFIGURE_SETTINGS_BNAME"
DEVEL_CONFIGURE_SETTINGS_ENV="$DEVEL_CONFIGURE_SETTINGS_NO_EXT.env"
DEVEL_CONFIGURE_SETTINGS_PPH="$DEVEL_CONFIGURE_SETTINGS_NO_EXT.pph"
DEVEL_CONFIGURE_SETTINGS_PROFILE="$DEVEL_CONFIGURE_SETTINGS_NO_EXT.profile"
DEVEL_CURRENTLY_DISTRIBUTED_RELEASE="\
$PROJECT_RUNTIME_DIR/Currently_distributed_release.pph"
DEVEL_CONFIGURE_CMD_LINE_ARGS="\
$PROJECT_RUNTIME_DIR/configure_devel_command_line_args.txt"
USER_CONFIGURE_SETTINGS_BNAME="Configure_Settings"
USER_CONFIGURE_SETTINGS_NO_EXT="\
$PROJECT_RUNTIME_DIR/$USER_CONFIGURE_SETTINGS_BNAME"
USER_CONFIGURE_SETTINGS_ENV="$USER_CONFIGURE_SETTINGS_NO_EXT.env"
USER_CONFIGURE_SETTINGS_PPH="$USER_CONFIGURE_SETTINGS_NO_EXT.pph"
USER_CONFIGURE_SETTINGS_PROFILE="$USER_CONFIGURE_SETTINGS_NO_EXT.profile"
USER_CONFIGURE_CMD_LINE_ARGS="\
$PROJECT_RUNTIME_DIR/configure_command_line_args.txt"

#
# Configuration intrinsic defaults.
#

# Versioning system.
VERSIONING_SYSTEM_INTRINSIC_DEFAULT="None"

# Installation root directory paths.
INSTALL_ROOT_DIR_INTRINSIC_DEFAULT="/usr/local"

# Private tool.
PRIVATE_TOOL_INTRINSIC_DEFAULT=false
MIMIC_INSTALL_ROOT_DIR_INTRINSIC_DEFAULT="${PWD:?}"
TARBALLS_INSTALL_ROOT_DIR_INTRINSIC_DEFAULT="None"
TARBALLS_MIMIC_INSTALL_ROOT_DIR_INTRINSIC_DEFAULT="None"

# Command search path.
PATH_ROOT_DIRS_INTRINSIC_DEFAULT="\
  /usr/local /usr /usr/pkg /usr/X11 /usr/X11R7 /usr/X11R6 /"
PATH_SUB_DIRS_INTRINSIC_DEFAULT="bin sbin games"

# Compilers and preprocessors.
C_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp"
C_COMPILER_INTRINSIC_DEFAULT_LIST="gcc icc cc"
CPP_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp"
CPP_COMPILER_INTRINSIC_DEFAULT_LIST="g++ icpc"
FORTRAN_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp fpp"
FORTRAN_COMPILER_INTRINSIC_DEFAULT_LIST="gfortran ifort g77 g95 f77"
JAVA_COMPILER_INTRINSIC_DEFAULT_LIST="gcj javac"
OCAML_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="camlp5 camlp4"

C_PREPROCESSOR="False"
C_COMPILER="False"
C_FLAGS_COMPILER_SPECIFIC="False"
C_FLAGS_ALL_WARNINGS="False"
C_FLAGS_WARN_ERROR="False"
CC_FLAGS_COMPILER_SPECIFIC="False"
CC_FLAGS_ALL_WARNINGS="False"
CC_FLAGS_WARN_ERROR="False"
GCC_FLAGS_COMPILER_SPECIFIC="False"
GCC_FLAGS_ALL_WARNINGS_GCC336="-Wall"
GCC_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GCC_FLAGS_WARN_ERROR="-Werror"
ICC_FLAGS_COMPILER_SPECIFIC="False"
ICC_FLAGS_ALL_WARNINGS="-Wall -Wremarks -Wcheck"
ICC_FLAGS_WARN_ERROR="-Werror"

CPP_PREPROCESSOR="False"
CPP_COMPILER="False"
CPP_FLAGS_COMPILER_SPECIFIC="False"
CPP_FLAGS_ALL_WARNINGS="False"
CPP_FLAGS_WARN_ERROR="False"
GPP_FLAGS_COMPILER_SPECIFIC="False"
GPP_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GPP_FLAGS_WARN_ERROR="-Werror"
ICPC_FLAGS_COMPILER_SPECIFIC="False"
ICPC_FLAGS_ALL_WARNINGS="-Wall -Wremarks -Wcheck"
ICPC_FLAGS_WARN_ERROR="-Werror"

FORTRAN_PREPROCESSOR="False"
FORTRAN_PREPROCESSOR_FLAGS_SPECIFIC="False"
CPP_FORTRAN_PREPROCESSOR_FLAGS_SPECIFIC="-traditional"
FPP_FORTRAN_PREPROCESSOR_FLAGS_SPECIFIC="False"
FORTRAN_COMPILER="False"
FORTRAN_FLAGS_COMPILER_SPECIFIC="False"
FORTRAN_FLAGS_ALL_WARNINGS="False"
FORTRAN_FLAGS_WARN_ERROR="False"
F77_FLAGS_COMPILER_SPECIFIC="False"
F77_FLAGS_ALL_WARNINGS="False"
F77_FLAGS_WARN_ERROR="False"
GFORTRAN_FLAGS_COMPILER_SPECIFIC="False"
GFORTRAN_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GFORTRAN_FLAGS_WARN_ERROR="-Werror"
G77_FLAGS_COMPILER_SPECIFIC="False"
G77_FLAGS_ALL_WARNINGS="-Wall -W"
G77_FLAGS_WARN_ERROR="-Werror"
G95_FLAGS_COMPILER_SPECIFIC="False"
G95_FLAGS_ALL_WARNINGS="_Wall -Wextra"
G95_FLAGS_WARN_ERROR="-Werror"
IFORT_FLAGS_COMPILER_SPECIFIC="-nogen-interfaces"
IFORT_FLAGS_ALL_WARNINGS="-warn all"
IFORT_FLAGS_WARN_ERROR="False"

JAVA_COMPILER="False"
JAVA_FLAGS_COMPILER_SPECIFIC="False"
JAVA_FLAGS_ALL_WARNINGS="False"
JAVA_FLAGS_WARN_ERROR="False"
GCJ_FLAGS_COMPILER_SPECIFIC="False"
GCJ_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GCJ_FLAGS_WARN_ERROR="-Werror"
JAVAC_FLAGS_COMPILER_SPECIFIC="False"
JAVAC_FLAGS_ALL_WARNINGS="False"
JAVAC_FLAGS_WARN_ERROR="False"

MOCA_COMPILER="False"

OCAML_PREPROCESSOR="False"
OCAML_PREPROCESSOR_WHERE="False"
OCAML_PREPROCESSOR_INCLUDES="False"
CAMLP4_FLAGS="-parser o -parser op -printer o"
CAMLP5_FLAGS="pa_o.cmo pa_op.cmo pr_dump.cmo"
OCAML_PP_FLAGS="False"
OCAML_BYT_COMPILER="False"
OCAML_BIN_COMPILER="False"
OCAML_DEP_GENERATOR="False"
OCAML_DOC_GENERATOR="False"
OCAML_TOP_GENERATOR="False"
OCAML_LIBRARIAN="False"
OCAML_LEX_GENERATOR="False"
OCAML_YAC_GENERATOR="False"

# Empty initialization of the _FROM_COMMAND_LINE variables.
PRIVATE_TOOL_FROM_COMMAND_LINE=""
MIMIC_INSTALL_ROOT_DIR_FROM_COMMAND_LINE=""
INSTALL_ROOT_DIR_FROM_COMMAND_LINE=""
C_PREPROCESSOR_FROM_COMMAND_LINE=""
C_COMPILER_FROM_COMMAND_LINE=""
CPP_PREPROCESSOR_FROM_COMMAND_LINE=""
CPP_COMPILER_FROM_COMMAND_LINE=""
FORTRAN_PREPROCESSOR_FROM_COMMAND_LINE=""
FORTRAN_COMPILER_FROM_COMMAND_LINE=""
JAVA_COMPILER_FROM_COMMAND_LINE=""
MOCA_COMPILER_FROM_COMMAND_LINE=""
OCAML_COMMAND_SEARCH_PATH_FROM_COMMAND_LINE=""
OCAML_BYT_COMPILER_FROM_COMMAND_LINE=""
OCAML_BIN_COMPILER_FROM_COMMAND_LINE=""

# Force full re-configuration.
FORCE=false

# Operating modes.
QUIET_LEVEL=0
SUMMARY_LEVEL=1
REPORT_LEVEL=2
DEBUG_LEVEL=128
VERBOSITY_LEVEL=$QUIET_LEVEL
TRACE=false
DEBUG=false
REPORT=false
SUMMARY=false
SEE_YOU=false
