(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_length ppf = function
  | u_l -> Ustamped_darray_print.print_length ppf u_l
;;

let print_arrow_number ppf = function
  | u_i -> Ustamped_darray_print.print_index ppf u_i
;;

let print_arrow pp_a pp_b ppf = function
  | { Udynamic_graph.value = a; Udynamic_graph.image = b; } ->
    Format.fprintf ppf "%,@[<1>{@,"; Format.fprintf ppf "%,@[<1>value =@ ";
    pp_a ppf a; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>image =@ "; pp_b ppf b;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@,}@]"
;;

let print_t pp_a pp_b ppf = function
  | a_b_a_u_t ->
    Ustamped_darray_print.print_t (print_arrow pp_a pp_b) ppf a_b_a_u_t
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
