(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_xml_index px_a ppf = function
  | a_u_i -> Unonempty_set_print_xml.print_xml_index px_a ppf a_u_i

and print_xml_uindex px_a ppf = function
  | a_u_u -> Unonempty_set_print_xml.print_xml_uindex px_a ppf a_u_u
;;

let print_xml_domain px_a ppf = function
  | a_u_t -> Unonempty_set_print_xml.print_xml_t px_a ppf a_u_t
;;

let print_xml_sub_domain px_a ppf = function
  | a_u_n -> Unonempty_set_print_xml.print_xml_nonempty_subset px_a ppf a_u_n
;;

let print_xml_images px_a ppf = function
  | Ugraph.Constant a ->
    Format.fprintf ppf "@[<1>%s@," "<Constant>"; px_a ppf a;
    Format.fprintf ppf "%,</Constant>"; Format.fprintf ppf "%,@]"
  | Ugraph.Images a_a ->
    Format.fprintf ppf "@[<1>%s@," "<Images>";
    Lib_print_xml.print_xml_Array px_a ppf a_a;
    Format.fprintf ppf "%,</Images>"; Format.fprintf ppf "%,@]"
;;

let print_xml_t px_a px_b ppf = function
  | { Ugraph.domain = a_d; Ugraph.images = b_i; } ->
    Format.fprintf ppf "%,@[<1>{@,"; print_xml_domain px_a ppf a_d;
    Format.fprintf ppf "%,;"; print_xml_images px_b ppf b_i;
    Format.fprintf ppf "%,;"; Format.fprintf ppf "%,@,}@]"
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
