(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_pph_id_card ppf = function
  | {
      Upph_id_card.project_name = s;
      Upph_id_card.project_banner_title = s0;
      Upph_id_card.project_outline = s1;
      Upph_id_card.project_release_date = s2;
      Upph_id_card.project_copyright_handlers = s3;
      Upph_id_card.project_authors = s4;
      Upph_id_card.project_http_url = s5;
      Upph_id_card.project_ftp_url = s6;
      Upph_id_card.project_release_ident = s7;
      Upph_id_card.project_distribution_ident = s8;
      Upph_id_card.project_version = s9;
      Upph_id_card.project_version_full_info = s10;
      Upph_id_card.project_release_name = s11;
      Upph_id_card.project_distribution_name = s12;
    } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>project_name =@ ";
    Lib_print.print_quoted_string ppf s; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_banner_title =@ ";
    Lib_print.print_quoted_string ppf s0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_outline =@ ";
    Lib_print.print_quoted_string ppf s1; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_release_date =@ ";
    Lib_print.print_quoted_string ppf s2; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_copyright_handlers =@ ";
    Lib_print.print_quoted_string ppf s3; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_authors =@ ";
    Lib_print.print_quoted_string ppf s4; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_http_url =@ ";
    Lib_print.print_quoted_string ppf s5; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_ftp_url =@ ";
    Lib_print.print_quoted_string ppf s6; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_release_ident =@ ";
    Lib_print.print_quoted_string ppf s7; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_distribution_ident =@ ";
    Lib_print.print_quoted_string ppf s8; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_version =@ ";
    Lib_print.print_quoted_string ppf s9; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_version_full_info =@ ";
    Lib_print.print_quoted_string ppf s10; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_release_name =@ ";
    Lib_print.print_quoted_string ppf s11; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>project_distribution_name =@ ";
    Lib_print.print_quoted_string ppf s12; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@,}@]"
;;

let print_t ppf = function | p -> print_pph_id_card ppf p
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
